# Facilities in your free trial

{% hint style="success" %}

#### Prerequisites

* Access to a free trial tenant[^1] (email with credentials)
* Read our [Free trial information](/documentation/using-our-free-trial/free-trial-information.md) and [Setting up Postman for your free trial](/documentation/using-our-free-trial/free-trial-information/setting-up-postman-for-your-free-trial.md) articles
* Access to Postman (you can use an HTTP tool of your choice, but for this article, we'll focus on working with Postman)
  {% endhint %}

## What's a facility?

Facilities represent various locations that form part of the fulfillment network. These locations fulfill distinct roles in ensuring the smooth movement of goods, both inbound and outbound. A distinction is made between two primary types of facilities: Managed facilities and suppliers.

Managed facilities are fulfillment locations operated and controlled within the network. The defining characteristic of these facilities is that the complete operational fulfillment process — including picking, packing, shipping, and related tasks — is managed internally or by a partner.

Suppliers are external entities within the supply chain that provide products to the network. These can include manufacturers, publishers, wholesalers, and distributors, among others.

For more information, see the [Facilities](/documentation/getting-started/facilities.md) article.

## Why does it matter for my free trial?

For fulfillmenttools, everything is attached to a facility. Without one, a consumer[^2] could never receive their order.

So, to work with fulfillmenttools, let's create a facility.

## Create a facility

{% stepper %}
{% step %}
**Open the create facility endpoint**

In Postman, find the `POST Add New Facility` endpoint and click to open. You'll see the body is prefilled with some data.

{% code title="Body" %}

```json
{
  "name": "Nerd Herd Clothing",
  "type": "MANAGED_FACILITY",
  "address": {
    "companyName": "Nerd Herd Clothing Ltd",
    "country": "US",
    "postalCode": "90291",
    "city": "Los Angeles",
    "street": "Abbot Kinney Blvd",
    "houseNumber": "1344"
  },
  "services": [
    {
      "type": "PICKUP"
    }
  ],
  "status": "ONLINE",
  "locationType": "STORE"
}
```

{% endcode %}

{% hint style="info" %}
We're only using the required fields in this example, and not all the available options. See [our facilities article](/documentation/getting-started/facilities.md) for more details and the API specification.
{% endhint %}
{% endstep %}

{% step %}
**Edit the data**

You can change the name, address, and so on for testing, or leave it as it is to see how it works.
{% endstep %}

{% step %}
**Send the request**

Click **Send**.

{% hint style="info" %}
Ensure you've refreshed your `authToken` if it's been more than 60 minutes since your last refresh.
{% endhint %}

You should get a `201 Created` response. You'll notice some extra fields that are part of the response and have been automatically created, including the facility `id`, which you'll need to make further requests:

{% code title="Response" %}

```json
{
...
  {
...
         "resolvedCoordinates": {
            "lat": 33.9906506,
            "lon": -118.4666995
        },
        "resolvedTimeZone": {
            "offsetInSeconds": -18000,
            "timeZoneId": "America/New_York",
            "timeZoneName": "Eastern Standard Time",
            "source": "BACKEND_GENERATED"
        },
...        
    "fulfillmentProcessBuffer": 240,
...
    "capacityEnabled": false,
    "lastModified": "2025-12-02T15:12:16.505Z",
    "version": 1,
    "id": "019adf9f-1679-70ee-aeeb-4e94aa65d22b",
    "created": "2025-12-02T15:12:16.505Z"
}
```

{% endcode %}
{% endstep %}

{% step %}
**Open the all facilities endpoint**

In the collection list, select the `GET all facilities` endpoint and click **Send**. You'll see your newly created facility in the list with a `200 OK` response.
{% endstep %}
{% endstepper %}

The facility will also be visible in Backoffice for other team members to use, but we'll go through that later in this section.

In the next article, we'll take you through listings. What they are, how to set them up, and how to edit them.

[^1]: An instance of fulfillmenttools for each customer. Each tenant works in different environments. For example, there'll be a tenant for pre-production, and one for production.

[^2]: The end user is making the purchase, whether online or offline.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/using-our-free-trial/free-trial-information/facilities-in-your-free-trial.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
